Trust Score History
curl --request GET \
--url https://api.truthlocks.com/v1/agents/{agentId}/trust-history \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/agents/{agentId}/trust-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/agents/{agentId}/trust-history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/agents/{agentId}/trust-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"history": [
{
"score": 0.5,
"timestamp": "2023-11-07T05:31:56Z",
"factors": {}
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Trust & Witness
Trust Score History
Retrieve historical trust score data for a machine agent over time
GET
/
v1
/
agents
/
{agentId}
/
trust-history
Trust Score History
curl --request GET \
--url https://api.truthlocks.com/v1/agents/{agentId}/trust-history \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/agents/{agentId}/trust-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/agents/{agentId}/trust-history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/agents/{agentId}/trust-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"history": [
{
"score": 0.5,
"timestamp": "2023-11-07T05:31:56Z",
"factors": {}
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Returns a time-series of trust score computations for a specific agent. Use this endpoint to visualize trust trends, detect score degradation, and audit score changes following incidents. Results are ordered chronologically (oldest first).
Authentication
RequiresX-API-Key header or Bearer JWT token. The workspace is derived from the authenticated credential; do not send X-Tenant-ID.
Response
string
The agent identifier.
array
Array of historical trust score records, ordered by
computed_at ascending.Show History record fields
Show History record fields
number
Trust score at the time of computation (
0.0-1.0).object
string
ISO 8601 timestamp of when this score was computed.
integer
Total number of records matching the query window (before limit is applied).
Authorizations
API key for machine-to-machine authentication
Path Parameters
Agent identifier
Query Parameters
Start of time range (ISO 8601)
End of time range (ISO 8601)
Required range:
1 <= x <= 500Response
Trust score history
Show child attributes
Show child attributes

